### Method

# Gtk StyleContext lookup_color

#### Declaration [src]

    gboolean
    gtk_style_context_lookup_color (
      GtkStyleContext* context,
      const char* color_name,
      GdkRGBA* color
    )

#### Description [src]

Looks up and resolves a color name in the `context` color map.

#### Parameters

`color_name` | `const char*`
| Color name to lookup.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`color` | `GdkRGBA*`
| Return location for the looked up color.
| The argument will be set by the function.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `color_name` was found and resolved, `FALSE` otherwise.